import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:project_telephony/model/sms_content_model.dart';
import 'package:project_telephony/utils/user_tool.dart';
import 'package:provider/provider.dart';

import '../../base/base_style.dart';
import '../../constants/api.dart';
import '../../model/network/api_client.dart';
import '../../model/network/base_model.dart';
import '../../model/user_info_model.dart';
import '../../providers/user_provider.dart';
import '../../utils/toast/cloud_toast.dart';
import '../user/content_details_page.dart';
import '../widget/plone_back_button.dart';
import '../widget/plone_bottom.dart';

class ScaffoldThemeWidget extends StatefulWidget {
  final String title;
  final Widget child;
  final String bottom;

  const ScaffoldThemeWidget(
      {Key? key, required this.title, required this.child, required this.bottom})
      : super(key: key);

  @override
  _ScaffoldThemeWidgetState createState() => _ScaffoldThemeWidgetState();
}

class _ScaffoldThemeWidgetState extends State<ScaffoldThemeWidget> {
  @override
  void initState() {
    super.initState();
  }

  // final userProvider = Provider.of<UserProvider>(Get.context!, listen: false);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      appBar: AppBar(
          elevation: 0,
          title: Text(
            widget.title,
            style: TextStyle(
                fontSize: BaseStyle.fontSize34,
                color: BaseStyle.color333333,
                fontWeight: FontWeight.bold),
          ),
          titleSpacing: 162.w,
          leading: const CloudBackButton(isSpecial: true),
          backgroundColor: kForeGroundColor),
      backgroundColor: Colors.white,
      body: widget.child,
      bottomNavigationBar: PloneBottom(
        onTap: () async {
          
        },
        text: widget.bottom,
      ).paddingOnly(bottom: 30.w),
    );
  }
}
